Bug 434424 - rosegarden4 failed massrebuild attempt for GCC 4.3
Summary: rosegarden4 failed massrebuild attempt for GCC 4.3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rosegarden4
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Callum Lerwick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: gcc43errors
TreeView+ depends on / blocked
 
Reported: 2008-02-22 16:22 UTC by Jesse Keating
Modified: 2013-01-10 03:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-02 16:00:03 UTC
Type: ---


Attachments (Terms of Use)

Description Jesse Keating 2008-02-22 16:22:40 UTC
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444743
Exit code was 1, check the build.log for the failed buildArch task.

Comment 1 Jon Stanley 2008-03-04 01:22:00 UTC
subsequent build failed as well:

cd /builddir/build/BUILD/rosegarden-1.6.1/RGbuild && /usr/lib64/qt-3.3/bin/moc
/builddir/build/BUILD/rosegarden-1.6.1/src/gui/rulers/RawNoteRuler.h -o
/builddir/build/BUILD/rosegarden-1.6.1/RGbuild/RawNoteRuler.moc
/builddir/build/BUILD/rosegarden-1.6.1/src/base/AudioPluginInstance.cpp: In
member function 'std::string
Rosegarden::AudioPluginInstance::getDistinctiveConfigurationText() const':
/builddir/build/BUILD/rosegarden-1.6.1/src/base/AudioPluginInstance.cpp:231:
error: 'strlen' was not declared in this scope
/builddir/build/BUILD/rosegarden-1.6.1/src/base/AudioPluginInstance.cpp:231:
error: 'strncmp' was not declared in this scope

Comment 2 Rex Dieter 2008-04-02 15:02:58 UTC
looking.

Comment 3 Rex Dieter 2008-04-02 16:00:03 UTC
fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.